Package Gnumed :: Package business :: Module gmBilling |
[frames] | no frames]

# Module gmBilling

source code

Billing code.

Copyright: authors

Author: Nico Latzer <nl@mnet-online.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cBillable Items which can be billed to patients.
| cBillItem
| cBill Represents a bill

Functions
get_billables(active_only=True, order_by=None) | source code
delete_billable(pk_billable=None) | source code
get_bill_items(pk_patient=None, non_invoiced_only=False) | source code
create_bill_item(pk_encounter=None, pk_billable=None, pk_staff=None) | source code
delete_bill_item(pk_bill_item=None) | source code
get_bills(order_by=None, pk_patient=None) | source code
create_bill(conn=None, invoice_id=None) | source code
delete_bill(pk_bill=None) | source code
get_bill_receiver(pk_patient=None) | source code
get_invoice_id(pk_patient=None) | source code

Variables
| INVOICE_DOCUMENT_TYPE = ``u'``invoice``'``
| __package__ = ``'``Gnumed.business``'``

Imports: sys, logging, gmPG2, gmBusinessDBObject, gmTools, gmDateTime, gmDemographicRecord, gmDocuments